/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File ViewArea.h */
/* This is the private include file for the ViewArea widget. */

#ifndef _ORAViewAreaP_h
#define _ORAViewAreaP_h

#include <X11/CoreP.h>

#include "ViewArea.h"

/* The ViewArea class part structure */
typedef struct {
  int dummy;
} ViewAreaClassPart;

/* The ViewArea class structure */
typedef struct _ViewAreaClassRec {
  CoreClassPart core_class;
  ViewAreaClassPart viewArea_class;
} ViewAreaClassRec;

/* The ViewArea instance part */
typedef struct {
  /* resources */
  XtCallbackList callback;
  Dimension view_width;
  Dimension view_height;
  /* private */
  Pixmap view_pixmap;
} ViewAreaPart;

/* The ViewArea instance structure */
typedef struct _ViewAreaRec {
  CorePart core;
  ViewAreaPart viewArea;
} ViewAreaRec;

#endif /* _ORAViewAreaP_h */
