typedef enum {
  msg_noop, /* Do nothing */
  msg_die   /* Die */
  /* Prire d'insrer */
} msg_type_t;

struct msg_response_s;

typedef struct msg_fifo_s {
  struct msg_fifo_s *next; /* Next message in fifo */
  char in_heap; /* struct should be free()d by server when done */
  struct timeval timestamp; /* Format renvoye par gettimeofday() */
  msg_type_t type; /* Message type */
  union { /* Message parameters - according to type */
    int foobar; /* Compiler may not like an empty union... */
    /* Prire d'insrer */
  } param;
} msg_fifo_t;

/* First message in control fifo */
msg_fifo_t *control_queue_head; /* NULL if no messages */
/* Last message in control fifo */
msg_fifo_t *control_queue_tail; /* NULL if no messages */



typedef struct msg_response_s {
  char ready; /* Set to 1 when data is available */
  union {
    int foobar;
    /* Etc, as in struct msg_fifo_s */
  } ret;
} msg_response_t;



void
append_control_msg(msg_fifo_t *msg)
{
  /* XXX - Lock a mutex here */
  if (control_queue_tail==NULL) {
    control_queue_tail=msg;
    control_queue_head=msg;
    msg->next=NULL;
  } else {
    control_queue_tail->next=msg;
    control_queue_tail=msg;
    msg->next=NULL;
  }
  /* XXX - Free the mutex here */
}

msg_fifo_t *
process_control_msg(void) /* XXX - Name is inadequate */
{
  msg_fifo_t *ret;
  /* XXX - Lock mutex */
  if (control_queue_head!=NULL) {
    ret=control_queue_head;
    control_queue_head=ret->next;
    if (control_queue_head==NULL) /* We removed the only message */
      control_queue_tail=NULL;
  } else ret=NULL;
  /* XXX - Free mutex */
  /* IMPORTANT NOTE: remember that between the mutex release
   * instruction that precedes this comment and the return of the
   * function that follows it, the state of the queue might change.
   * What I wrote seems correct, but this comment is just intended
   * to frighten you (and to remember you that a great number of
   * things might happen between just two lines). */
  return ret;
}
