/* config.h.  Generated automatically by configure.  */
/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File config.h */
/* This file is the configuration header. In other words, it describes
 * the architecture and system on which we are compiling. Edit it to
 * tune it to your particular setup. */

/* To select a particular option, have it read:
 * #define FOOBAR 1
 * on the contrary, to unselect it, it should look like:
 * #undef FOOBAR
 * (or just comment it out). */

/* Avoid multiple inclusions. */
#ifndef _CONFIG_H
#define _CONFIG_H

/* Whether vprintf(), vfprintf() and vsprintf() are available: */
#define HAVE_VPRINTF 1

/* Whether i/o can be done with the unixoid open(), close(), read(),
 * write() and lseek() functions. Otherwise, fopen(), fclose(),
 * fread(), fwrite() and fseek() will be used instead. */
#define HAVE_OPEN 1

#define HAVE_LOWLEVEL_IO HAVE_OPEN

/* Whether a random number source device is available, and its name: */
#define HAVE_DEV_RANDOM 1
#define DEV_RANDOM_PATH "/dev/urandom"

#if defined(LINUX)
#ifndef HAVE_DEV_RANDOM
#define HAVE_DEV_RANDOM 1
#endif
#ifndef DEV_RANDOM_PATH
#define DEV_RANDOM_PATH "/dev/urandom"
#endif
#endif /* LINUX */

/* Whether the srandom() and random() functions are available. */
#define HAVE_SRANDOM 1

#define HAVE_GOOD_RANDOM HAVE_SRANDOM

/* Endianness. Define if machine is big-endian. */
/* #undef WORDS_BIGENDIAN */

/* Various sizes, all in bytes except the first. We _do_ expect
 * unsigned types to have the same size as the corresponding signed
 * types. Also, a byte is by definition CHAR_BITS bits. */
/* Bits in a char. */
#ifndef CHAR_BITS
#define CHAR_BITS 8
#endif
/* Size of a short int. */
#define SIZEOF_SHORT_INT 2
/* Size of an int. */
#define SIZEOF_INT 4
/* Size of a long int. */
#define SIZEOF_LONG_INT 4
/* Size of a void *. */
#define SIZEOF_VOID_P 4

/* Whether the compiler or include files define the int32_t and
 * uint32_t types. */
#define HAVE_INT32_TYPE 1

#ifndef HAVE_INT32_TYPE
#if SIZEOF_INT*CHAR_BITS==32
typedef int int32_t;
typedef unsigned int u_int32_t;
#elif SIZEOF_LONG_INT*CHAR_BITS==32
typedef long int int32_t;
typedef unsigned long int u_int32_t;
#elif SIZEOF_SHORT_INT*CHAR_BITS==32
typedef short int int32_t;
typedef unsigned short int u_int32_t;
#elif CHAR_BITS==32
typedef char int32_t;
typedef unsigned char u_int32_t;
#else
#error No 32-bit words on this machine.
#endif
#endif /* not HAVE_INT32_TYPE */

/* The Legendes directory, where things get installed */
#define LEGENDES_DIR_PATH "./"

#define MAP_FILE_PATH LEGENDES_DIR_PATH
#define CHUNK_FILE_PATH LEGENDES_DIR_PATH

/* This is a test region. If you are an end user, you should not see
 * this. Delete it all. */
/* End of test region. */

#endif /* not _CONFIG_H */
